.\\" auto-generated by docbook2man-spec $Revision: 1.25 $
.TH "CREATE CONSTRAINT TRIGGER" "l" "2002-11-22" "SQL - Language Statements" "SQL Commands"
.SH NAME
CREATE CONSTRAINT TRIGGER \- define a new constraint trigger
.SH SYNOPSIS
.sp
.nf
CREATE CONSTRAINT TRIGGER \fIname\fR
    AFTER \fIevents\fR ON
    \fIrelation\fR \fIconstraint\fR \fIattributes\fR
    FOR EACH ROW EXECUTE PROCEDURE \fIfunc\fR '(' \fIargs\fR ')'
  
.sp
.fi
.SS "INPUTS"
.PP
.TP
\fB\fIname\fB\fR
The name of the constraint trigger.
.TP
\fB\fIevents\fB\fR
The event categories for which this trigger should be fired.
.TP
\fB\fIrelation\fB\fR
The name (possibly schema-qualified) of the relation in which
the triggering events occur.
.TP
\fB\fIconstraint\fB\fR
Actual constraint specification.
.TP
\fB\fIattributes\fB\fR
Constraint attributes.
.TP
\fB\fIfunc\fB(\fIargs\fB)\fR
Function to call as part of the trigger processing.
.PP
.SS "OUTPUTS"
.PP
.TP
\fBCREATE TRIGGER\fR
Message returned if successful.
.PP
.SH "DESCRIPTION"
.PP
\fBCREATE CONSTRAINT TRIGGER\fR is used within
\fBCREATE/ALTER TABLE\fR and by
\fBpg_dump\fR to create the special triggers for
referential integrity.
.PP
It is not intended for general use.
