.\\" auto-generated by docbook2man-spec $Revision: 1.25 $
.TH "DROP CONVERSION" "l" "2002-11-22" "SQL - Language Statements" "SQL Commands"
.SH NAME
DROP CONVERSION \- remove a user-defined conversion
.SH SYNOPSIS
.sp
.nf
DROP CONVERSION \fIconversion_name\fR
    [ CASCADE | RESTRICT ]
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBDROP CONVERSION\fR removes a previously defined conversion.
.PP
To be able to drop a conversion, you must own the conversion.
"PARAMETERS"
.TP
\fB\fIconversion_name\fB\fR
The name of the conversion. The conversion name may be
schema-qualified.
.TP
\fBCASCADE\fR
.TP
\fBRESTRICT\fR
These key words do not have any effect, since there are no
dependencies on conversions.
.SH "NOTES"
.PP
Use \fBCREATE CONVERSION\fR to create user-defined conversions.
.PP
The privileges required to drop a conversion may be changed in a future
release.
.SH "EXAMPLES"
.PP
To drop the conversion named myname:
.sp
.nf
DROP CONVERSION myname;
.sp
.fi
.SH "COMPATIBILITY"
.PP
\fBDROP CONVERSION\fR
is a PostgreSQL extension.
There is no \fBDROP CONVERSION\fR
statement in SQL99.
.SH "SEE ALSO"
.PP
CREATE CONVERSION [\fBcreate_conversion\fR(l)]
