.\\" auto-generated by docbook2man-spec $Revision: 1.25 $
.TH "DROP DOMAIN" "l" "2002-11-22" "SQL - Language Statements" "SQL Commands"
.SH NAME
DROP DOMAIN \- remove a user-defined domain
.SH SYNOPSIS
.sp
.nf
DROP DOMAIN \fIdomainname\fR [, ...]  [ CASCADE | RESTRICT ]
  
.sp
.fi
.SS "INPUTS"
.PP
.TP
\fB\fIdomainname\fB\fR
The name (optionally schema-qualified) of an existing domain.
.TP
\fBCASCADE\fR
Automatically drop objects that depend on the domain
(such as table columns).
.TP
\fBRESTRICT\fR
Refuse to drop the domain if there are any dependent objects.
This is the default.
.PP
.SS "OUTPUTS"
.PP
.TP
\fBDROP DOMAIN\fR
The message returned if the command is successful.
.TP
\fBERROR: RemoveDomain: type '\fIdomainname\fB' does not exist\fR
This message occurs if the specified domain (or type) is not found.
.PP
.SH "DESCRIPTION"
.PP
\fBDROP DOMAIN\fR will remove a user domain from the
system catalogs.
.PP
Only the owner of a domain can remove it.
.SH "EXAMPLES"
.PP
To remove the \fBbox\fR domain:
.sp
.nf
DROP DOMAIN box;
.sp
.fi
.SH "COMPATIBILITY"
.SS "SQL92"
.PP
.SH "SEE ALSO"
CREATE DOMAIN [\fBcreate_domain\fR(l)]

