.\\" auto-generated by docbook2man-spec $Revision: 1.25 $
.TH "DROP INDEX" "l" "2002-11-22" "SQL - Language Statements" "SQL Commands"
.SH NAME
DROP INDEX \- remove an index
.SH SYNOPSIS
.sp
.nf
DROP INDEX \fIindex_name\fR [, ...] [ CASCADE | RESTRICT ]
  
.sp
.fi
.SS "INPUTS"
.PP
.TP
\fB\fIindex_name\fB\fR
The name (optionally schema-qualified) of an index to remove.
.TP
\fBCASCADE\fR
Automatically drop objects that depend on the index.
.TP
\fBRESTRICT\fR
Refuse to drop the index if there are any dependent objects.
This is the default.
.PP
.SS "OUTPUTS"
.PP
.TP
\fBDROP INDEX\fR
The message returned if the command completes successfully.
.TP
\fBERROR: index "\fIindex_name\fB" does not exist\fR
This message occurs if \fIindex_name\fR
is not an index in the database.
.PP
.SH "DESCRIPTION"
.PP
\fBDROP INDEX\fR drops an existing index from the database
system. To execute this command you must be the owner of
the index.
.SS "NOTES"
.PP
\fBDROP INDEX\fR is a PostgreSQL
language extension.
.PP
Refer to 
CREATE INDEX [\fBcreate_index\fR(l)]
for information on how to create indexes.
.SH "USAGE"
.PP
This command will remove the title_idx index:
.sp
.nf
    DROP INDEX title_idx;
   
.sp
.fi
.SH "COMPATIBILITY"
.SS "SQL92"
.PP
SQL92 defines commands by which to access
a generic relational database.
Indexes are an implementation-dependent feature and hence
there are no index-specific commands or definitions in the
SQL92 language.
