.\\" auto-generated by docbook2man-spec $Revision: 1.25 $
.TH "DROP VIEW" "l" "2002-11-22" "SQL - Language Statements" "SQL Commands"
.SH NAME
DROP VIEW \- remove a view
.SH SYNOPSIS
.sp
.nf
DROP VIEW \fIname\fR [, ...] [ CASCADE | RESTRICT ]
  
.sp
.fi
.SS "INPUTS"
.PP
.TP
\fB\fIname\fB\fR
The name (optionally schema-qualified) of an existing view.
.TP
\fBCASCADE\fR
Automatically drop objects that depend on the view
(such as other views).
.TP
\fBRESTRICT\fR
Refuse to drop the view if there are any dependent objects.
This is the default.
.PP
.SS "OUTPUTS"
.PP
.TP
\fBDROP VIEW\fR
The message returned if the command is successful.
.TP
\fBERROR: view \fIname\fB does not exist\fR
This message occurs if the specified view does not exist in
the database.
.PP
.SH "DESCRIPTION"
.PP
\fBDROP VIEW\fR drops an existing view from the database.
To execute this command you must be the owner of the
view.
.SS "NOTES"
.PP
Refer to CREATE VIEW [\fBcreate_view\fR(l)]
for information on how to create views.
.SH "USAGE"
.PP
This command will remove the view called kinds:
.sp
.nf
DROP VIEW kinds;
  
.sp
.fi
.SH "COMPATIBILITY"
.SS "SQL92"
.PP
