.\\" auto-generated by docbook2man-spec $Revision: 1.25 $
.TH "LOAD" "l" "2002-11-22" "SQL - Language Statements" "SQL Commands"
.SH NAME
LOAD \- load or reload a shared library file
.SH SYNOPSIS
.sp
.nf
LOAD '\fIfilename\fR'
.sp
.fi
.SH "DESCRIPTION"
.PP
Loads a shared library file into the PostgreSQL backend's address
space. If the file had been loaded previously, it is first
unloaded. This command is primarily useful to unload and reload a
shared library file that has been changed since the backend first
loaded it. To make use of the
shared library, function(s) in it need to be declared using the CREATE FUNCTION [\fBcreate_function\fR(l)] command.
.PP
The file name is specified in the same way as for shared library
names in CREATE FUNCTION [\fBcreate_function\fR(l)]; in particular, one
may rely on a search path and automatic addition of the system's standard
shared library file name extension. See the
\fIProgrammer's Guide\fR for more detail.
.SH "COMPATIBILITY"
.PP
\fBLOAD\fR is a \fBPostgreSQL\fR
extension.
.SH "SEE ALSO"
.PP
CREATE FUNCTION [\fBcreate_function\fR(l)],
\fIPostgreSQL Programmer's Guide\fR
