.\\" auto-generated by docbook2man-spec $Revision: 1.25 $
.TH "RESET" "l" "2002-11-22" "SQL - Language Statements" "SQL Commands"
.SH NAME
RESET \- restore the value of a run-time parameter to a default value
.SH SYNOPSIS
.sp
.nf
RESET \fIvariable\fR
  
.sp
.fi
.sp
.nf
RESET ALL
  
.sp
.fi
.SS "INPUTS"
.PP
.TP
\fB\fIvariable\fB\fR
The name of a run-time parameter. See SET [\fBset\fR(l)] for a list.
.TP
\fBALL\fR
Resets all settable run-time parameters to default values.
.PP
.SH "DESCRIPTION"
.PP
\fBRESET\fR restores run-time parameters to their
default values. Refer to
SET [\fBset\fR(l)]
for details. \fBRESET\fR is an alternate spelling for
.sp
.nf
SET \fIvariable\fR TO DEFAULT
   
.sp
.fi
The default value is defined as the value that the variable would
have had, had no \fBSET\fR ever been issued for it in the
current session. The actual source of this value might be a
compiled-in default, the postmaster's configuration file or command-line
switches, or per-database or per-user default settings. See the
\fIAdministrator's Guide\fR for details.
.PP
See the \fBSET\fR manual page for details on the transaction
behavior of \fBRESET\fR.
.SH "DIAGNOSTICS"
.PP
See under the SET [\fBset\fR(l)] command.
.SH "EXAMPLES"
.PP
Set DateStyle to its default value:
.sp
.nf
RESET DateStyle;
.sp
.fi
.PP
Set geqo to its default value:
.sp
.nf
   
RESET GEQO;
.sp
.fi
.SH "COMPATIBILITY"
.PP
\fBRESET\fR is a PostgreSQL extension.
